
TYPO3.Flow - Feature # 25882

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Persistence
Created: 2011-04-11 Assigned To: Karsten Dambekalns
Updated: 2011-05-03 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Dedicated query log
Description

For debugging purposes it would be helpful to log queries executed by Doctrine into a dedicated log ("Query_Development.log" for
example). Like the other logs this should be configurable through settings.

Related issues:
blocked by TYPO3.Flow - Bug # 25906: Injection with settings use breaks Resolved 2011-04-12

Associated revisions
Revision fd7eb8b1 - 2011-05-03 17:13 - Karsten Dambekalns

[FEATURE] Use dedicated log for SQL queries

Now a dedicated log is used for SQL queries, it is by default named
Query_<context>.log and configurable through settings.

Resolves: #25882
Change-Id: I4b9927092bb07209cbf9510a1c578858bfaeeb5d

History
#1 - 2011-04-11 12:25 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

Will do...

#2 - 2011-04-27 15:22 - Mr. Hudson

Patch set 1 of change I4b9927092bb07209cbf9510a1c578858bfaeeb5d has been pushed to the review server.
It is available at http://review.typo3.org/1768

#3 - 2011-04-27 15:23 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-04-28 10:26 - Mr. Hudson

Patch set 2 of change I4b9927092bb07209cbf9510a1c578858bfaeeb5d has been pushed to the review server.
It is available at http://review.typo3.org/1768
#5 - 2011-05-02 20:49 - Mr. Hudson

Patch set 3 of change I4b9927092bb07209cbf9510a1c578858bfaeeb5d has been pushed to the review server.
It is available at http://review.typo3.org/1768

#6 - 2011-05-03 14:47 - Mr. Hudson

Patch set 4 of change I4b9927092bb07209cbf9510a1c578858bfaeeb5d has been pushed to the review server.
It is available at http://review.typo3.org/1768

#7 - 2011-05-03 17:14 - Mr. Hudson

Patch set 5 of change I4b9927092bb07209cbf9510a1c578858bfaeeb5d has been pushed to the review server.
It is available at http://review.typo3.org/1768

#8 - 2011-05-03 17:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fd7eb8b176ceb6296df864902c2e596aec90a2e8.
